const recallLogoHelper = require("../recall_Logo_Helper");
var date = {dtM: 1, dtD: 1, dtY: 2020}
var logoSettings = {Date: date, ID: 11111};
logos = [{id: 22222}]

test("the current date equals settings date", () => {
    Date.now = jest.fn(() => new Date(2020,0,1));
    expect(recallLogoHelper(logoSettings, 33333, logos)).toBe(11111);
});
test("the current date does not equal settings date", () => {
    Date.now = jest.fn(() => new Date(2020,0,2));
    expect(recallLogoHelper(logoSettings, 11111, logos)).toBe(22222);
});